Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Theghost

Dùng fím tắt để gọi 1 layer

Các bài được khuyến nghị

Theghost    31

Có bác nào biết cách dùng fím tắt để gọi 1 layer ko(chuyển giữa các layer) , mà ko phải dùng từ popup kéo xuống.

Help!!!!!!!!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mankin    0
Có bác nào biết cách dùng fím tắt để gọi 1 layer ko(chuyển giữa các layer) , mà ko phải dùng từ popup kéo xuống.

Help!!!!!!!!!!!

biết > đó là lệnh Ai_molc

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Theghost    31

Lệnh này cũng ko phải, lệnh này bắt chọn đối tượng cùng layer mà mình muốn hiển thị,

thế thì đơn giản quá, ý em là muốn chuyển sang 1 Layer bất kì trong hàng chục Layer của mình cơ, chứ lệnh trên chỉ cho phép chọn Layer đã dùng thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pikeman286    244
lệnh clayer chưa phải là hay nhất, nếu bạn có lisp cad thì việc gọi lại một layer trong bản vẽ không mất đến nửa giây đâu

Vậy sao cậu không viết cho bạn ấy cái lisp.khỏi mất công dùng lệnh clayer.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.373
Vậy sao cậu không viết cho bạn ấy cái lisp.khỏi mất công dùng lệnh clayer.

Cái này nói tùm lum rồi mà. Nhưng rất hạn chế chỉ ai tạo nấy dùng thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pikeman286    244
Cái này nói tùm lum rồi mà. Nhưng rất hạn chế chỉ ai tạo nấy dùng thôi

Sao mà tùm lum.Mình thiết nghĩ dùng chuôt click còn nhanh hơn.

(defun C:lr (/ N)
 (setq N (getint "\nnhap thu tu layer can dung:"))
 (command ".clayer" N "")
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.373
Sao mà tùm lum.Mình thiết nghĩ dùng chuôt click còn nhanh hơn.

(defun C:lr (/ N)
 (setq N (getint "\nnhap thu tu layer can dung:"))
 (command ".clayer" N "")
 )

 

 

Tùm lum nghĩa là nói ở nhiều nơi rồi.

Để giúp cho việc gỏ 1 chử thì chọn 1 layer thì dùng lisp sau nhưng phài tự gia công nhé:

 

(DEFUN C:tenlenh ()

(command "layer" "s" "tenlayer" "")

(princ)

)

 

Trong đó :

tenlenh là chử mà bạn muốn gỏ

tenlayer là ten chính xác của layer bạn muốn chuyển thành layer hiện hành

 

Vì nó phụ thuộc vào các layer có sẳn trong bản vẽ của bạn nên không phổ biến cho nhiều người là vì vậy

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pikeman286    244
Tùm lum nghĩa là nói ở nhiều nơi rồi.

Để giúp cho việc gỏ 1 chử thì chọn 1 layer thì dùng lisp sau nhưng phài tự gia công nhé:

 

(DEFUN C:tenlenh ()

(command "layer" "s" "tenlayer" "")

(princ)

)

 

Trong đó :

tenlenh là chử mà bạn muốn gỏ

tenlayer là ten chính xác của layer bạn muốn chuyển thành layer hiện hành

 

Vì nó phụ thuộc vào các layer có sẳn trong bản vẽ của bạn nên không phổ biến cho nhiều người là vì vậy

:) thì ai cũng biết thế.Nhưng khỗ quá có nhìu người cứ muốn những cái đơn giản đến mức bình thường cũng phải dùng lisp.Vậy có phải là không nên không?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Theghost    31

Lisp không nhanh đâu các bác ạ, cũng thế thôi!!!

Lisp đòi hỏi các bác phải nhớ tên lệnh để chuyển sang layer mới, có khác nào các bác đánh lệnh Clayer rồi đánh layer cần chuyển không, tôi thường vào Express tạo lệnh Clayer là 1 lệnh tắt như fím V, sau đó đặt tên các layer theo thứ tự 1,2,3

Muốn gọi 1 layer cứ chơi V-enter-1,2,3....ngon ơ

Có những thao tác không phải là dùng lisp là nhanh hơn đâu các bác ạ, trường hợp này là 1 ví dụ

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Jin Yong    334
Lisp không nhanh đâu các bác ạ, cũng thế thôi!!!

Lisp đòi hỏi các bác phải nhớ tên lệnh để chuyển sang layer mới, có khác nào các bác đánh lệnh Clayer rồi đánh layer cần chuyển không, tôi thường vào Express tạo lệnh Clayer là 1 lệnh tắt như fím V, sau đó đặt tên các layer theo thứ tự 1,2,3

Muốn gọi 1 layer cứ chơi V-enter-1,2,3....ngon ơ

Có những thao tác không phải là dùng lisp là nhanh hơn đâu các bác ạ, trường hợp này là 1 ví dụ

Xin được gọi đây là một ý kiến thiếu sâu sắc, mặc dù phương pháp của bạn cũng là một mẹo rất hữu hiệu để làm AutoCAD thân thiện hơn.

 

Đây là một ví dụ khiến Lisp trở thành nhanh hơn mong muốn:

 

(defun c:LT ()
(Setvar "clayer" "Net-Thay")
(Command ".line")
)

 

Lệnh này cho phép chuyển layer sang nét thấy và gọi lệnh LINE, nghĩa là đồng thời trong một thao tác (lệnh LT) chúng ta đã chuyển layer qua NET-THAY và gọi lệnh LINE.

Ý nghĩa ở đây là gì:

- Việc bạn nhớ một lệnh rất đặc trương kiểu LT (L-T = LINE-Thấy) còn dễ dàng hơn việc bạn nhớ lệnh V, rồi tiếp theo lại nhớ thứ tự LAYER

- Đồng thời bạn gọi lệnh LINE lại rất thuận tiện

 

Việc nhớ một tên lệnh LISP không gây khó khăn như bạn nói, nếu tên LISP được đặt một cách ngắn gọn và khoa học, thì nhớ nó cũng chỉ như nhớ lệnh LINE hay MIRROR mà thôi :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duongsatdn    762
lệnh clayer chưa phải là hay nhất, nếu bạn có lisp cad thì việc gọi lại một layer trong bản vẽ không mất đến nửa giây đâu

Tôi xin hỏi có phím tắt nào để xổ xuống danh sách các lớp không (để ta bấm chọn luôn một lớp nào đó)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Theghost    31
Tôi xin hỏi có phím tắt nào để xổ xuống danh sách các lớp không (để ta bấm chọn luôn một lớp nào đó)?

---------

Cái này đến bác Hoành chắc chắn cũng phải chịu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duongsatdn    762
---------

Cái này đến bác Hoành chắc chắn cũng phải chịu

Sao lại "chắc chắn" bác ơi!

À mà hôm nay bác Hoành đi công tác hay sao ấy nhỉ????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
havanquoc    0
Tùm lum nghĩa là nói ở nhiều nơi rồi.

Để giúp cho việc gỏ 1 chử thì chọn 1 layer thì dùng lisp sau nhưng phài tự gia công nhé:

 

(DEFUN C:tenlenh ()

(command "layer" "s" "tenlayer" "")

(princ)

)

 

Trong đó :

tenlenh là chử mà bạn muốn gỏ

tenlayer là ten chính xác của layer bạn muốn chuyển thành layer hiện hành

 

Vì nó phụ thuộc vào các layer có sẳn trong bản vẽ của bạn nên không phổ biến cho nhiều người là vì vậy

cám ơn bác rất nhiều, cho em cai lisp tiện qúa! từ nay không phải dùng đến thanh công cụ nữa vì danh sách layer của công ty em nhiều quá mà chon như thế thì rất là lâu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Jin Yong    334
Tôi xin hỏi có phím tắt nào để xổ xuống danh sách các lớp không (để ta bấm chọn luôn một lớp nào đó)

 

Người ta có thể dùng lệnh LA :)

Cũng có thể lập một LISP hoặc dvb để gọi bảng chọn layer

Vấn đề là nếu chỉ để chọn layer không thôi thì buồn quá!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn có thể dùng các lệnh:

-LT: gọi layer

Sau đó make( chọn tạo layer mới), Set( đưa 1 layer đã có ra làm layer hiện hành),...

 

Change: để chuyển một đối tượng đã vẽ sang 1 layer khác.

 

Machprop: để copy định dạng của một đối tượng sang đối tượng khác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có bác nào biết cách dùng fím tắt để gọi 1 layer ko(chuyển giữa các layer) , mà ko phải dùng từ popup kéo xuống.

Help!!!!!!!!!!!

 

theo như lisp mình đang dùng thì lệnh LL là lệnh gọi layer ma ko cân kéo thanh layer.bạn chỉ cần đánh lệnh đó ra và kick vào một layer bạn đã có trên màn hình thi nó sẽ chuyên về layer đó

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Jin Yong    334

theo như lisp mình đang dùng thì lệnh LL là lệnh gọi layer ma ko cân kéo thanh layer.bạn chỉ cần đánh lệnh đó ra và kick vào một layer bạn đã có trên màn hình thi nó sẽ chuyên về layer đó

 

Lisp kiểu như của bạn đây: download

Lệnh CL

Tác dụng chuyển Layer hiện hành về layer của một đối tượng được chọn

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
levanduy    73
Lisp kiểu như của bạn đây: download

Lệnh CL

Tác dụng chuyển Layer hiện hành về layer của một đối tượng được chọn

Bác ơi,chuyển layer hiện hành về layer của đối tượng được chọn đã có lệnh laymcur không còn phải dùng lisp nữa.

Bác nào muốn nhanh hơn thì đặt một shortcut key cho nó.

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
icoffshore    9

Rất cảm ơn các bạn, lệnh AI_MOLC rất hay. Chỉ cần đặt phím tắt cho nó rồi kích layer là chuyển được ngay. Việc cần có layer trên bản vẽ để chuyển là điều dễ hiểu. Thông thường người lập bản vẽ đều vẽ các nét ra và đặt độ dày cho nó để người khác còn biết in. Hỏi các bạn luôn, chuyển layer thì như thế, vậy mình muốn chuyển TEXT và DIM thì có cách nào tương tự ko ?

Trời, post xong bài mới nhìn thấy cái LAYMCUR của bác trên, cái này cũng chẳng khác jì AI_MOLC.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Kai_16-11    116

Ban đặt cú pháp như sau

V, * LAYMCUR

Sau đó thêm dòng này vào file aucad.pgp thôi.Sau khi lưu xong đánh lệnh Reinit check vào ô PGP.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×